### YamlMime:ManagedReference
items:
- uid: OmiLAXR.Helpers.QueryBuilder
  commentId: T:OmiLAXR.Helpers.QueryBuilder
  id: QueryBuilder
  parent: OmiLAXR.Helpers
  children:
  - OmiLAXR.Helpers.QueryBuilder.#ctor(System.String)
  - OmiLAXR.Helpers.QueryBuilder.Append(System.String,System.Object)
  - OmiLAXR.Helpers.QueryBuilder.Clear
  - OmiLAXR.Helpers.QueryBuilder.Entries
  - OmiLAXR.Helpers.QueryBuilder.GetAssignments
  - OmiLAXR.Helpers.QueryBuilder.GetQueryParams
  - OmiLAXR.Helpers.QueryBuilder.ToString
  - OmiLAXR.Helpers.QueryBuilder.ToUri
  langs:
  - csharp
  - vb
  name: QueryBuilder
  nameWithType: QueryBuilder
  fullName: OmiLAXR.Helpers.QueryBuilder
  type: Class
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: QueryBuilder
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 8
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public class QueryBuilder
    content.vb: Public Class QueryBuilder
  inheritance:
  - System.Object
- uid: OmiLAXR.Helpers.QueryBuilder.Entries
  commentId: F:OmiLAXR.Helpers.QueryBuilder.Entries
  id: Entries
  parent: OmiLAXR.Helpers.QueryBuilder
  langs:
  - csharp
  - vb
  name: Entries
  nameWithType: QueryBuilder.Entries
  fullName: OmiLAXR.Helpers.QueryBuilder.Entries
  type: Field
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: Entries
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 11
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public readonly List<KeyValuePair<string, object>> Entries
    return:
      type: System.Collections.Generic.List{System.Collections.Generic.KeyValuePair{System.String,System.Object}}
    content.vb: Public ReadOnly Entries As List(Of KeyValuePair(Of String, Object))
- uid: OmiLAXR.Helpers.QueryBuilder.#ctor(System.String)
  commentId: M:OmiLAXR.Helpers.QueryBuilder.#ctor(System.String)
  id: '#ctor(System.String)'
  parent: OmiLAXR.Helpers.QueryBuilder
  langs:
  - csharp
  - vb
  name: QueryBuilder(string)
  nameWithType: QueryBuilder.QueryBuilder(string)
  fullName: OmiLAXR.Helpers.QueryBuilder.QueryBuilder(string)
  type: Constructor
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: .ctor
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 12
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public QueryBuilder(string url)
    parameters:
    - id: url
      type: System.String
    content.vb: Public Sub New(url As String)
  overload: OmiLAXR.Helpers.QueryBuilder.#ctor*
  nameWithType.vb: QueryBuilder.New(String)
  fullName.vb: OmiLAXR.Helpers.QueryBuilder.New(String)
  name.vb: New(String)
- uid: OmiLAXR.Helpers.QueryBuilder.Append(System.String,System.Object)
  commentId: M:OmiLAXR.Helpers.QueryBuilder.Append(System.String,System.Object)
  id: Append(System.String,System.Object)
  parent: OmiLAXR.Helpers.QueryBuilder
  langs:
  - csharp
  - vb
  name: Append(string, object)
  nameWithType: QueryBuilder.Append(string, object)
  fullName: OmiLAXR.Helpers.QueryBuilder.Append(string, object)
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: Append
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 17
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public QueryBuilder Append(string key, object value)
    parameters:
    - id: key
      type: System.String
    - id: value
      type: System.Object
    return:
      type: OmiLAXR.Helpers.QueryBuilder
    content.vb: Public Function Append(key As String, value As Object) As QueryBuilder
  overload: OmiLAXR.Helpers.QueryBuilder.Append*
  nameWithType.vb: QueryBuilder.Append(String, Object)
  fullName.vb: OmiLAXR.Helpers.QueryBuilder.Append(String, Object)
  name.vb: Append(String, Object)
- uid: OmiLAXR.Helpers.QueryBuilder.Clear
  commentId: M:OmiLAXR.Helpers.QueryBuilder.Clear
  id: Clear
  parent: OmiLAXR.Helpers.QueryBuilder
  langs:
  - csharp
  - vb
  name: Clear()
  nameWithType: QueryBuilder.Clear()
  fullName: OmiLAXR.Helpers.QueryBuilder.Clear()
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: Clear
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 25
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public QueryBuilder Clear()
    return:
      type: OmiLAXR.Helpers.QueryBuilder
    content.vb: Public Function Clear() As QueryBuilder
  overload: OmiLAXR.Helpers.QueryBuilder.Clear*
- uid: OmiLAXR.Helpers.QueryBuilder.GetAssignments
  commentId: M:OmiLAXR.Helpers.QueryBuilder.GetAssignments
  id: GetAssignments
  parent: OmiLAXR.Helpers.QueryBuilder
  langs:
  - csharp
  - vb
  name: GetAssignments()
  nameWithType: QueryBuilder.GetAssignments()
  fullName: OmiLAXR.Helpers.QueryBuilder.GetAssignments()
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: GetAssignments
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 31
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public string[] GetAssignments()
    return:
      type: System.String[]
    content.vb: Public Function GetAssignments() As String()
  overload: OmiLAXR.Helpers.QueryBuilder.GetAssignments*
- uid: OmiLAXR.Helpers.QueryBuilder.GetQueryParams
  commentId: M:OmiLAXR.Helpers.QueryBuilder.GetQueryParams
  id: GetQueryParams
  parent: OmiLAXR.Helpers.QueryBuilder
  langs:
  - csharp
  - vb
  name: GetQueryParams()
  nameWithType: QueryBuilder.GetQueryParams()
  fullName: OmiLAXR.Helpers.QueryBuilder.GetQueryParams()
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: GetQueryParams
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 33
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public string GetQueryParams()
    return:
      type: System.String
    content.vb: Public Function GetQueryParams() As String
  overload: OmiLAXR.Helpers.QueryBuilder.GetQueryParams*
- uid: OmiLAXR.Helpers.QueryBuilder.ToUri
  commentId: M:OmiLAXR.Helpers.QueryBuilder.ToUri
  id: ToUri
  parent: OmiLAXR.Helpers.QueryBuilder
  langs:
  - csharp
  - vb
  name: ToUri()
  nameWithType: QueryBuilder.ToUri()
  fullName: OmiLAXR.Helpers.QueryBuilder.ToUri()
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: ToUri
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 35
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public Uri ToUri()
    return:
      type: System.Uri
    content.vb: Public Function ToUri() As Uri
  overload: OmiLAXR.Helpers.QueryBuilder.ToUri*
- uid: OmiLAXR.Helpers.QueryBuilder.ToString
  commentId: M:OmiLAXR.Helpers.QueryBuilder.ToString
  id: ToString
  parent: OmiLAXR.Helpers.QueryBuilder
  langs:
  - csharp
  - vb
  name: ToString()
  nameWithType: QueryBuilder.ToString()
  fullName: OmiLAXR.Helpers.QueryBuilder.ToString()
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UrlQueryBuilder.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: ToString
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UrlQueryBuilder.cs
    startLine: 37
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  example: []
  syntax:
    content: public override string ToString()
    return:
      type: System.String
    content.vb: Public Overrides Function ToString() As String
  overridden: System.Object.ToString
  overload: OmiLAXR.Helpers.QueryBuilder.ToString*
references:
- uid: OmiLAXR.Helpers
  commentId: N:OmiLAXR.Helpers
  href: OmiLAXR.html
  name: OmiLAXR.Helpers
  nameWithType: OmiLAXR.Helpers
  fullName: OmiLAXR.Helpers
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Helpers
    name: Helpers
    href: OmiLAXR.Helpers.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Helpers
    name: Helpers
    href: OmiLAXR.Helpers.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: System.Collections.Generic.List{System.Collections.Generic.KeyValuePair{System.String,System.Object}}
  commentId: T:System.Collections.Generic.List{System.Collections.Generic.KeyValuePair{System.String,System.Object}}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<KeyValuePair<string, object>>
  nameWithType: List<KeyValuePair<string, object>>
  fullName: System.Collections.Generic.List<System.Collections.Generic.KeyValuePair<string, object>>
  nameWithType.vb: List(Of KeyValuePair(Of String, Object))
  fullName.vb: System.Collections.Generic.List(Of System.Collections.Generic.KeyValuePair(Of String, Object))
  name.vb: List(Of KeyValuePair(Of String, Object))
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: System.Collections.Generic.KeyValuePair`2
    name: KeyValuePair
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.keyvaluepair-2
  - name: <
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: '>'
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.Collections.Generic.KeyValuePair`2
    name: KeyValuePair
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.keyvaluepair-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  - name: )
- uid: System.Collections.Generic.List`1
  commentId: T:System.Collections.Generic.List`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: OmiLAXR.Helpers.QueryBuilder.#ctor*
  commentId: Overload:OmiLAXR.Helpers.QueryBuilder.#ctor
  href: OmiLAXR.Helpers.QueryBuilder.html#OmiLAXR.Helpers.QueryBuilder.#ctor(System.String)
  name: QueryBuilder
  nameWithType: QueryBuilder.QueryBuilder
  fullName: OmiLAXR.Helpers.QueryBuilder.QueryBuilder
  nameWithType.vb: QueryBuilder.New
  fullName.vb: OmiLAXR.Helpers.QueryBuilder.New
  name.vb: New
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: OmiLAXR.Helpers.QueryBuilder.Append*
  commentId: Overload:OmiLAXR.Helpers.QueryBuilder.Append
  href: OmiLAXR.Helpers.QueryBuilder.html#OmiLAXR.Helpers.QueryBuilder.Append(System.String,System.Object)
  name: Append
  nameWithType: QueryBuilder.Append
  fullName: OmiLAXR.Helpers.QueryBuilder.Append
- uid: OmiLAXR.Helpers.QueryBuilder
  commentId: T:OmiLAXR.Helpers.QueryBuilder
  parent: OmiLAXR.Helpers
  href: OmiLAXR.Helpers.QueryBuilder.html
  name: QueryBuilder
  nameWithType: QueryBuilder
  fullName: OmiLAXR.Helpers.QueryBuilder
- uid: OmiLAXR.Helpers.QueryBuilder.Clear*
  commentId: Overload:OmiLAXR.Helpers.QueryBuilder.Clear
  href: OmiLAXR.Helpers.QueryBuilder.html#OmiLAXR.Helpers.QueryBuilder.Clear
  name: Clear
  nameWithType: QueryBuilder.Clear
  fullName: OmiLAXR.Helpers.QueryBuilder.Clear
- uid: OmiLAXR.Helpers.QueryBuilder.GetAssignments*
  commentId: Overload:OmiLAXR.Helpers.QueryBuilder.GetAssignments
  href: OmiLAXR.Helpers.QueryBuilder.html#OmiLAXR.Helpers.QueryBuilder.GetAssignments
  name: GetAssignments
  nameWithType: QueryBuilder.GetAssignments
  fullName: OmiLAXR.Helpers.QueryBuilder.GetAssignments
- uid: System.String[]
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string[]
  nameWithType: string[]
  fullName: string[]
  nameWithType.vb: String()
  fullName.vb: String()
  name.vb: String()
  spec.csharp:
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '['
  - name: ']'
  spec.vb:
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: (
  - name: )
- uid: OmiLAXR.Helpers.QueryBuilder.GetQueryParams*
  commentId: Overload:OmiLAXR.Helpers.QueryBuilder.GetQueryParams
  href: OmiLAXR.Helpers.QueryBuilder.html#OmiLAXR.Helpers.QueryBuilder.GetQueryParams
  name: GetQueryParams
  nameWithType: QueryBuilder.GetQueryParams
  fullName: OmiLAXR.Helpers.QueryBuilder.GetQueryParams
- uid: OmiLAXR.Helpers.QueryBuilder.ToUri*
  commentId: Overload:OmiLAXR.Helpers.QueryBuilder.ToUri
  href: OmiLAXR.Helpers.QueryBuilder.html#OmiLAXR.Helpers.QueryBuilder.ToUri
  name: ToUri
  nameWithType: QueryBuilder.ToUri
  fullName: OmiLAXR.Helpers.QueryBuilder.ToUri
- uid: System.Uri
  commentId: T:System.Uri
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.uri
  name: Uri
  nameWithType: Uri
  fullName: System.Uri
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: OmiLAXR.Helpers.QueryBuilder.ToString*
  commentId: Overload:OmiLAXR.Helpers.QueryBuilder.ToString
  href: OmiLAXR.Helpers.QueryBuilder.html#OmiLAXR.Helpers.QueryBuilder.ToString
  name: ToString
  nameWithType: QueryBuilder.ToString
  fullName: OmiLAXR.Helpers.QueryBuilder.ToString
